# System.Windows.Forms.Design

``` diff
 namespace System.Windows.Forms.Design {
     public class ControlDesigner : ComponentDesigner {
         public class ControlDesignerAccessibleObject : AccessibleObject {
-            public override string Description { get; }
+            public override string? Description { get; }
-            public override AccessibleObject Parent { get; }
+            public override AccessibleObject? Parent { get; }
-            public override string Value { get; }
+            public override string? Value { get; }
-            public override AccessibleObject GetChild(int index);
+            public override AccessibleObject? GetChild(int index);
-            public override AccessibleObject GetFocused();
+            public override AccessibleObject? GetFocused();
-            public override AccessibleObject GetSelected();
+            public override AccessibleObject? GetSelected();
-            public override AccessibleObject HitTest(int x, int y);
+            public override AccessibleObject? HitTest(int x, int y);
         }
     }
     public sealed class EventHandlerService : IEventHandlerService {
-        public object GetHandler(Type handlerType);
+        public object? GetHandler(Type handlerType);
     }
     [CLSCompliantAttribute(false)]
     public class FolderNameEditor : UITypeEditor {
-        public override object EditValue(ITypeDescriptorContext context, IServiceProvider provider, object value);
+        public override object? EditValue(ITypeDescriptorContext? context, IServiceProvider provider, object? value);
-        public override UITypeEditorEditStyle GetEditStyle(ITypeDescriptorContext context);
+        public override UITypeEditorEditStyle GetEditStyle(ITypeDescriptorContext? context);
         protected sealed class FolderBrowser : Component {
-            public string Description { get; set; }
+            [AllowNullAttribute]
+            public string Description { get; set; }
-            public DialogResult ShowDialog(IWin32Window owner);
+            public DialogResult ShowDialog(IWin32Window? owner);
         }
     }
     public class ImageListCodeDomSerializer : CodeDomSerializer {
-        public override object Deserialize(IDesignerSerializationManager manager, object codeObject);
+        public override object? Deserialize(IDesignerSerializationManager manager, object codeObject);
-        public override object Serialize(IDesignerSerializationManager manager, object value);
+        public override object? Serialize(IDesignerSerializationManager manager, object value);
     }
     [CLSCompliantAttribute(false)]
     public class ImageListImageEditor : ImageEditor {
-        public override object EditValue(ITypeDescriptorContext context, IServiceProvider provider, object value);
+        public override object? EditValue(ITypeDescriptorContext? context, IServiceProvider provider, object? value);
-        public override bool GetPaintValueSupported(ITypeDescriptorContext context);
+        public override bool GetPaintValueSupported(ITypeDescriptorContext? context);
     }
 }
```

