# .NET 8.0.203 -March 14, 2024

The .NET 8.0.203 release is available for download. This SDK includes the previously released .NET 8.0.3 Runtime and is in support of Visual Studio 17.7 release. The latest 8.0 release is always listed at [.NET 8.0 Releases](../README.md).

## Downloads

|           | SDK Installer<sup>1</sup>                        | SDK Binaries<sup>1</sup>                 | Runtime Installer                                        | Runtime Binaries                                 | ASP.NET Core Runtime           |Windows Desktop Runtime          |
| --------- | :------------------------------------------:     | :----------------------:                 | :---------------------------:                            | :-------------------------:                      | :-----------------:            | :-----------------:            |
| Windows   | [x86][dotnet-sdk-win-x86.exe] \| [x64][dotnet-sdk-win-x64.exe] \| [Arm64][dotnet-sdk-win-arm64.exe] | [x86][dotnet-sdk-win-x86.zip] \| [x64][dotnet-sdk-win-x64.zip] \|  [Arm64][dotnet-sdk-win-arm64.zip] | [x86][dotnet-runtime-win-x86.exe] \| [x64][dotnet-runtime-win-x64.exe] \| [Arm64][dotnet-runtime-win-arm64.exe] | [x86][dotnet-runtime-win-x86.zip] \| [x64][dotnet-runtime-win-x64.zip] \| [Arm64][dotnet-runtime-win-arm64.zip] | [x86][aspnetcore-runtime-win-x86.exe] \| [x64][aspnetcore-runtime-win-x64.exe] \|<br/> [Hosting Bundle][dotnet-hosting-win.exe]<sup>2</sup> | [x86][windowsdesktop-runtime-win-x86.exe] \| [x64][windowsdesktop-runtime-win-x64.exe] \| [Arm64][windowsdesktop-runtime-win-arm64.exe] |
| macOS     | [x64][dotnet-sdk-osx-x64.pkg] \| [ARM64][dotnet-sdk-osx-arm64.pkg] | [x64][dotnet-sdk-osx-x64.tar.gz] \| [ARM64][dotnet-sdk-osx-arm64.tar.gz]  | [x64][dotnet-runtime-osx-x64.pkg] \| [ARM64][dotnet-runtime-osx-arm64.pkg] | [x64][dotnet-runtime-osx-x64.tar.gz] \| [ARM64][dotnet-runtime-osx-arm64.tar.gz]| [x64][aspnetcore-runtime-osx-x64.tar.gz] \| [ARM64][aspnetcore-runtime-osx-arm64.tar.gz] | - |<sup>1</sup>
| Linux     |  [Snap and Package Manager](../install-linux.md)  | [x64][dotnet-sdk-linux-x64.tar.gz] \| [Arm][dotnet-sdk-linux-arm.tar.gz]  \| [Arm64][dotnet-sdk-linux-arm64.tar.gz] \| [Arm32 Alpine][dotnet-sdk-linux-musl-arm.tar.gz]  \| [x64 Alpine][dotnet-sdk-linux-musl-x64.tar.gz] | [Packages (x64)][linux-packages] | [x64][dotnet-runtime-linux-x64.tar.gz] \| [Arm][dotnet-runtime-linux-arm.tar.gz] \| [Arm64][dotnet-runtime-linux-arm64.tar.gz] \| [Arm32 Alpine][dotnet-runtime-linux-musl-arm.tar.gz] \| [Arm64 Alpine][dotnet-runtime-linux-musl-arm64.tar.gz] \| [x64 Alpine][dotnet-runtime-linux-musl-x64.tar.gz]  | [x64][aspnetcore-runtime-linux-x64.tar.gz]<sup>1</sup>  \| [Arm][aspnetcore-runtime-linux-arm.tar.gz]<sup>1</sup> \| [Arm64][aspnetcore-runtime-linux-arm64.tar.gz]<sup>1</sup> \| [x64 Alpine][aspnetcore-runtime-linux-musl-x64.tar.gz] | - | <sup>1</sup> |
|  | [Checksums][checksums-sdk]                             | [Checksums][checksums-sdk]                                      | [Checksums][checksums-runtime]                             | [Checksums][checksums-runtime]  | [Checksums][checksums-runtime]  | [Checksums][checksums-runtime]

1. Includes the .NET Runtime and ASP.NET Core Runtime
2. For hosting stand-alone apps on Windows Servers. Includes the ASP.NET Core Module for IIS and can be installed separately on servers without installing .NET Runtime.

The .NET SDK includes a matching updated .NET Runtime. Downloading the Runtime or ASP.NET Core packages is not needed when installing the SDK.

You can check your .NET SDK version by running the following command. The example version shown is for this release.

```console
$ dotnet --version
8.0.203
```
Visit [.NET Documentation](https://learn.microsoft.com/dotnet/) to learn about .NET, for building many different types of applications.

## Visual Studio Compatibility

You need [Visual Studio 17.8](https://visualstudio.microsoft.com) or later to use .NET 8.0 on Windows. On macOS, you need the latest version of [Visual Studio for Mac](https://visualstudio.microsoft.com/vs/mac/). The [C# extension](https://code.visualstudio.com/docs/languages/dotnet) for [Visual Studio Code](https://code.visualstudio.com/) supports .NET 8.0 and C# 10.0.

[blob-runtime]: https://dotnetcli.blob.core.windows.net/dotnet/Runtime/
[blob-sdk]: https://dotnetcli.blob.core.windows.net/dotnet/Sdk/
[release-notes]: 8.0.203.md

[checksums-runtime]: https://dotnetcli.blob.core.windows.net/dotnet/checksums/8.0.3-sha.txt
[checksums-sdk]: https://dotnetcli.blob.core.windows.net/dotnet/checksums/8.0.3-sha.txt

[linux-install]: https://learn.microsoft.com/dotnet/core/install/linux

[dotnet-blog]:  https://devblogs.microsoft.com/dotnet/march-2024-updates/
[aspnet-blog]: https://devblogs.microsoft.com/dotnet/announcing-asp-net-core-in-net-8/
[maui-blog]: https://devblogs.microsoft.com/dotnet/update-on-dotnet-maui/

[linux-packages]: ../install-linux.md



[//]: # ( Runtime 8.0.3)
[dotnet-runtime-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/2e4c4803-465a-4350-9c0d-d05bbac25066/2e934397c639491e87660c14ea8f0f79/dotnet-runtime-8.0.3-linux-arm.tar.gz
[dotnet-runtime-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/d863ea96-9cc3-4aa3-a953-0e79441c99b8/f7c6e4d2b66f44dee0d1fd5e5a6ad7a5/dotnet-runtime-8.0.3-linux-arm64.tar.gz
[dotnet-runtime-linux-musl-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/3e880148-fd07-4f15-b197-31bd3da8a850/f725cee69fabe493e179ebc41bb262c6/dotnet-runtime-8.0.3-linux-musl-arm.tar.gz
[dotnet-runtime-linux-musl-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/7fad45e3-ac96-4bf1-bb59-0846bb382d5e/f0a891b218a5a7e0e143471377b3e63e/dotnet-runtime-8.0.3-linux-musl-arm64.tar.gz
[dotnet-runtime-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/901f4951-8a99-42be-ada8-7c95cbeff8c5/bb8a894c04b7a09d32c9cbab4806191e/dotnet-runtime-8.0.3-linux-musl-x64.tar.gz
[dotnet-runtime-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/2332907f-b507-4e5b-af2a-d7770c8399c7/a1c405af2a95d25740656ca51bb0dc43/dotnet-runtime-8.0.3-linux-x64.tar.gz
[dotnet-runtime-osx-arm64.pkg]: https://download.visualstudio.microsoft.com/download/pr/c93a08b4-9ccb-4e76-8b8c-41d48614c24f/667c001f0317fac33119cc209008bd42/dotnet-runtime-8.0.3-osx-arm64.pkg
[dotnet-runtime-osx-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/e5e58c72-31a4-48f2-b3e8-e836904cd35f/11fbfa1072aadd7fc1ec5f0f1bc46317/dotnet-runtime-8.0.3-osx-arm64.tar.gz
[dotnet-runtime-osx-x64.pkg]: https://download.visualstudio.microsoft.com/download/pr/1c984209-d55a-4147-a5b1-d76460def9d9/051a46cc4a98c125316cb5b7e4a6bdb7/dotnet-runtime-8.0.3-osx-x64.pkg
[dotnet-runtime-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/86b2d36f-7d6a-4191-b5b7-947e9013f07d/c9744f535684df172c676120f9a5e4bb/dotnet-runtime-8.0.3-osx-x64.tar.gz
[dotnet-runtime-win-arm64.exe]: https://download.visualstudio.microsoft.com/download/pr/396e641a-fb6a-4e1f-9028-1e1274f375e9/c4a22ce780b33120f118088ee448c318/dotnet-runtime-8.0.3-win-arm64.exe
[dotnet-runtime-win-arm64.zip]: https://download.visualstudio.microsoft.com/download/pr/6cea757e-b928-46a5-ac08-78ae030b9c7e/4ddacf3f23d8c3d61ed06a9488647bbc/dotnet-runtime-8.0.3-win-arm64.zip
[dotnet-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/836cce68-d7d4-4027-955a-bab6d921d68c/24ec3a2df6785b128a9bbde2faeeed1e/dotnet-runtime-8.0.3-win-x64.exe
[dotnet-runtime-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/f01146e2-b226-4f48-baae-080c6c714aca/84f8befd5c18059623a80a6550148e07/dotnet-runtime-8.0.3-win-x64.zip
[dotnet-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/f0a786df-9956-481b-b5f3-b054b2edd294/af3c7af3d4444ace418c6f73b7264ea6/dotnet-runtime-8.0.3-win-x86.exe
[dotnet-runtime-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/6ac095ed-bdaf-4369-b905-376c90e9f783/54fb4acc74cc0d8bceb63ae48075edcf/dotnet-runtime-8.0.3-win-x86.zip

[//]: # ( WindowsDesktop 8.0.3)
[windowsdesktop-runtime-win-arm64.exe]: https://download.visualstudio.microsoft.com/download/pr/6122753d-66c1-4d79-886f-35b1b427d874/4e9e2d61129d5f14cecb4eeb5dcc2adc/windowsdesktop-runtime-8.0.3-win-arm64.exe
[windowsdesktop-runtime-win-arm64.zip]: https://download.visualstudio.microsoft.com/download/pr/e0302253-c88f-4758-97a3-1473984c119c/0b398bde0943ac3482044c806066ddbf/windowsdesktop-runtime-8.0.3-win-arm64.zip
[windowsdesktop-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/131a8773-457a-4c26-8751-0e363e53ad8c/b08f4c42bb38086f025fd81f866cefe5/windowsdesktop-runtime-8.0.3-win-x64.exe
[windowsdesktop-runtime-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/9cd0a147-6ddd-4d74-b5fa-5250d2fb4f49/a8ae2d8a9634ecc27e7e8aa96e49ae01/windowsdesktop-runtime-8.0.3-win-x64.zip
[windowsdesktop-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/9645384c-564a-47a4-b1d2-d823e3388275/3f6902d28219b2fb53e5ae905cb3d43e/windowsdesktop-runtime-8.0.3-win-x86.exe
[windowsdesktop-runtime-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/b6f9b14a-f4ab-4322-b8dd-d7512a2a0934/47b20b61db64c819bbada5087f260dd8/windowsdesktop-runtime-8.0.3-win-x86.zip

[//]: # ( ASP 8.0.3)
[aspnetcore-runtime-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/ea360a4d-219e-45fb-97c5-367c1ede824c/439396bf3cb8a352ccdd985bd07f4324/aspnetcore-runtime-8.0.3-linux-arm.tar.gz
[aspnetcore-runtime-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/c631b429-3123-4451-b5cc-7046b41f8fc7/3f45af01238ff9e9b8b103c2a0873e74/aspnetcore-runtime-8.0.3-linux-arm64.tar.gz
[aspnetcore-runtime-linux-musl-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/07c51adb-13b5-4da8-8ede-8902700bdf15/bb5e83628dde3dae866e116e7a2b6b33/aspnetcore-runtime-8.0.3-linux-musl-arm.tar.gz
[aspnetcore-runtime-linux-musl-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/f30f7a82-e857-4c13-9884-5161ee580dcc/cce0dc173d4c7864204fff82254f1367/aspnetcore-runtime-8.0.3-linux-musl-arm64.tar.gz
[aspnetcore-runtime-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/77ee10d1-fd89-47e6-8daf-d04a01a65058/dd2670ea5db72e375f34be8feba548e7/aspnetcore-runtime-8.0.3-linux-musl-x64.tar.gz
[aspnetcore-runtime-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/0952fa05-0ae1-4607-8743-041f8f96a2f3/e1349ab9fdc5d47e18fd2b880679ebd3/aspnetcore-runtime-8.0.3-linux-x64.tar.gz
[aspnetcore-runtime-osx-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/4961062d-23df-4e3a-8810-5f1af625ffbb/eba8c6f1f479f3d31bab8b6673f14485/aspnetcore-runtime-8.0.3-osx-arm64.tar.gz
[aspnetcore-runtime-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/4f34c7a0-7e38-4943-a04c-3b19b05a8b05/ba9f8a5b55724eafd5880c9a46b6e149/aspnetcore-runtime-8.0.3-osx-x64.tar.gz
[aspnetcore-runtime-win-arm64.zip]: https://download.visualstudio.microsoft.com/download/pr/359648eb-95bd-4fe1-b542-973331a65ee2/1b8f3ea5e6f9c208754342a83e5c7dfc/aspnetcore-runtime-8.0.3-win-arm64.zip
[aspnetcore-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/1d0ce72e-6c82-42ad-a107-d64c0b00a218/cb4735750876624d1d22b212f09a0580/aspnetcore-runtime-8.0.3-win-x64.exe
[aspnetcore-runtime-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/f9e8dd62-23ed-4fce-b322-33578e05acda/a69f52c6ec0c9eaaa2b166dd39291223/aspnetcore-runtime-8.0.3-win-x64.zip
[aspnetcore-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/da9d0946-fa0e-4830-a98e-68b6d9c8551e/83829632ffc4bb6334df476d76930317/aspnetcore-runtime-8.0.3-win-x86.exe
[aspnetcore-runtime-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/fee17c7b-3d7b-499d-b237-9de4b6c61cc6/3b42f9290da01bd70ac729a845ae2b85/aspnetcore-runtime-8.0.3-win-x86.zip
[aspnetcore-runtime-composite-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/7ec6b764-79bf-40b3-8d3a-15f1251ffcc4/d5a7b452c5bc4f7e2ebab35540b846e2/aspnetcore-runtime-composite-8.0.3-linux-arm.tar.gz
[aspnetcore-runtime-composite-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/f82350e5-0e40-4ff2-9faf-64a0e1a3a554/63c1f86cae1d4fc3bfb225402a233aa1/aspnetcore-runtime-composite-8.0.3-linux-arm64.tar.gz
[aspnetcore-runtime-composite-linux-musl-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/a64b5e49-b1f0-441c-8fc0-ca732f129265/66d07e79721dbf5a0a7c8fb523ead94f/aspnetcore-runtime-composite-8.0.3-linux-musl-arm.tar.gz
[aspnetcore-runtime-composite-linux-musl-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/c292458d-a772-4cdc-8fbd-cad3fe237efa/21377d864ce4354a8d79969fbea295cd/aspnetcore-runtime-composite-8.0.3-linux-musl-arm64.tar.gz
[aspnetcore-runtime-composite-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/8f3805f0-4dda-4ca4-b7d4-eae6bc5d2634/c3dab1936534a4227b24915ec16bf8f4/aspnetcore-runtime-composite-8.0.3-linux-musl-x64.tar.gz
[aspnetcore-runtime-composite-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/58e3d1a9-600b-4a36-8efe-d7957697e687/08029f3fd14f5b198ff61ecd02cf12cb/aspnetcore-runtime-composite-8.0.3-linux-x64.tar.gz
[dotnet-hosting-win.exe]: https://download.visualstudio.microsoft.com/download/pr/fea4f429-681f-424b-8894-425e14126e42/ce7bf73f80e989e3e77c0539a243cd8c/dotnet-hosting-8.0.3-win.exe

[//]: # ( SDK 8.0.203)
[dotnet-sdk-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/61815861-c922-4462-a937-f6929747f0c2/7280600442a58ce080cd3d1494eca08f/dotnet-sdk-8.0.203-linux-arm.tar.gz
[dotnet-sdk-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/aed2eece-af6d-42e6-8683-21e7835b7479/786b4f225591440a741c1702407fb7b3/dotnet-sdk-8.0.203-linux-arm64.tar.gz
[dotnet-sdk-linux-musl-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/ba2d9653-c260-43f3-b99e-e09b66981cf9/697856da1aad004061b2248b78f55372/dotnet-sdk-8.0.203-linux-musl-arm.tar.gz
[dotnet-sdk-linux-musl-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/dad93260-0167-4aa2-aa6a-bef95fb7b2dc/51819f2e8a5e2e9734f315f7a50e59ae/dotnet-sdk-8.0.203-linux-musl-arm64.tar.gz
[dotnet-sdk-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/f733297a-2aac-4016-b91b-8820ecd145e6/c89c3f08433123f07f03341870ec16e1/dotnet-sdk-8.0.203-linux-musl-x64.tar.gz
[dotnet-sdk-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/656a3402-6889-400f-927f-7f956856e58b/93750973d6eedd17c6d963658e7ec214/dotnet-sdk-8.0.203-linux-x64.tar.gz
[dotnet-sdk-osx-arm64.pkg]: https://download.visualstudio.microsoft.com/download/pr/1951c62f-487d-4002-b3e6-92677e88b8b1/b1ed2348dbe68ac3f499252b7c9017e4/dotnet-sdk-8.0.203-osx-arm64.pkg
[dotnet-sdk-osx-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/9019f736-bf0c-45c6-8ea1-c2370f7c59f1/e88a79c0abd77fd38de8271b7c06b293/dotnet-sdk-8.0.203-osx-arm64.tar.gz
[dotnet-sdk-osx-x64.pkg]: https://download.visualstudio.microsoft.com/download/pr/bcfcba7d-4a1d-4435-95c2-7c4143e01007/68804b02e9a3bcfd6f26b04d01219791/dotnet-sdk-8.0.203-osx-x64.pkg
[dotnet-sdk-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/87f31249-1415-4edb-87d5-7f16e63414e9/a1ad58c05a131c618ad458a1564784e4/dotnet-sdk-8.0.203-osx-x64.tar.gz
[dotnet-sdk-win-arm64.exe]: https://download.visualstudio.microsoft.com/download/pr/77b4dd83-2824-417c-b1ad-24ed40f16af9/a5dce0ac46b86d59e2124380206192f9/dotnet-sdk-8.0.203-win-arm64.exe
[dotnet-sdk-win-arm64.zip]: https://download.visualstudio.microsoft.com/download/pr/11a9c895-540d-4686-a357-835a9d8ad8e1/c06641c9cd8acadd2fb6ddf8a019fb8a/dotnet-sdk-8.0.203-win-arm64.zip
[dotnet-sdk-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/9e753d68-7701-4ddf-b358-79d64e776945/2a58564c6d0779a7b443a692c520782f/dotnet-sdk-8.0.203-win-x64.exe
[dotnet-sdk-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/48a48c8c-911f-45f0-ba75-900c093ed7fc/610cf5bc0a3c4a70b4b3b9478c22b03f/dotnet-sdk-8.0.203-win-x64.zip
[dotnet-sdk-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/d0a394c0-4752-464e-89d5-eac817741157/cd739061324f85ea2ceb58d4e019e59e/dotnet-sdk-8.0.203-win-x86.exe
[dotnet-sdk-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/5d954b58-6593-4e03-8993-305a072a4a50/ca4895ef8bb22ef6067ae1375197b60d/dotnet-sdk-8.0.203-win-x86.zip
