# .NET 9 Preview 1 - Release Notes

Welcome to .NET 9! We're happy to deliver the first preview of .NET 9, released February 13th, 2024, and share in-depth release notes that provide varied and impressive improvements for the first preview out of the gate. We also published [Our Vision for .NET 9](https://aka.ms/dotnet/9/vision), which describes some of the broad areas we intend to deliver on by the final November 2024 release.

Find more information on new features released in .NET 9 Preview 1 by browsing through the release notes below:

* [Libraries](./libraries.md)
* [Runtime](./runtime.md)
* [SDK](./sdk.md)

## Feature Release Notes

* [.NET Data and EF Core](./efcoreanddata.md)
* [.NET MAUI](./dotnetmaui.md)
* [ASP.NET Core](./aspnetcore.md)

## Get Started

Instructions on getting started with .NET 9 can be found in the [getting started guide](../../get-started.md). Installers and binaries for .NET 9 Preview 1 can be found [here on GitHub](./9.0.0-preview.1.md). 

## Announcements & Discussions

Discuss this release with the product teams on GitHub through the announcements for this release.

* [.NET 9 Preview 1 Announcement](https://aka.ms/dotnet/9/preview1)
* [.NET Data and EF Core](https://github.com/dotnet/efcore/issues/33030)
* [.NET MAUI](https://github.com/dotnet/maui/discussions/20558)
* [ASP.NET Core](https://github.com/dotnet/aspnetcore/discussions/54007)
* [Containers](https://github.com/dotnet/dotnet-docker/discussions/5198)
* [Libraries and Runtime](https://github.com/dotnet/runtime/discussions/98372)
* [Source-build](https://github.com/dotnet/source-build/discussions/4132)


## Stay up-to-date

You can find a detailed overview of all new features in .NET 9 in the [What's new in .NET 9](https://learn.microsoft.com/dotnet/core/whats-new/dotnet-9/overview) documentation.

The latest .NET 9 release is always available at [dotnet.microsoft.com](https://dotnet.microsoft.com/download/dotnet/9.0) and [.NET 9 Releases](../../README.md).

