# .NET 9 Preview 2 - Release Notes

.NET 9 Preview 2 released on March 12th, 2024. Find more information on new features released in .NET 9 Preview 2 by browsing through the release notes below:

* [Runtime](./runtime.md)
* [SDK](./sdk.md)

### Feature Release Notes

* [.NET Data and EF Core](./efcoreanddata.md)
* [.NET MAUI](./dotnetmaui.md)
* [ASP.NET Core](./aspnetcore.md)

## Get Started

Instructions on getting started with .NET 9 can be found in the [getting started guide](../../get-started.md). Installers and binaries for .NET 9 Preview 2 can be found [here on GitHub](./9.0.0-preview.2.md). 

## Announcements & Discussions

Discuss this release with the product teams on GitHub through the announcements for this release. 

* [.NET 9 Preview 2 Announcement](https://aka.ms/dotnet/9/preview2)
* [.NET MAUI](https://github.com/dotnet/maui/discussions/21159)
* [ASP.NET Core](https://github.com/dotnet/aspnetcore/discussions/54503)
* [Libraries and Runtime](https://github.com/dotnet/runtime/discussions/99619)
* [Source-build](https://github.com/dotnet/source-build/discussions/4214)

## Stay up-to-date

You can find a detailed overview of all new features in .NET 9 in the [What's new in .NET 9](https://learn.microsoft.com/dotnet/core/whats-new/dotnet-9/overview) documentation.

The latest .NET 9 release is always available at [dotnet.microsoft.com](https://dotnet.microsoft.com/download/dotnet/9.0) and [.NET 9 Releases](../../README.md).