# .NET 9 Preview 4 - Release Notes

.NET 9 Preview 4 was released on May 21st, 2024. Find more information on new features released in .NET 9 Preview 4 by browsing through the release notes below:

* [Libraries](./libraries.md)
* [Runtime](./runtime.md)

### Feature Release Notes

* [.NET Data and EF Core](./efcoreanddata.md)
* [.NET MAUI](./dotnetmaui.md)
* [ASP.NET Core](./aspnetcore.md)
* [WPF](./wpf.md)

## Get Started

Instructions on getting started with .NET 9 can be found in the [getting started guide](../../get-started.md). Installers and binaries for .NET 9 Preview 4 can be found [here on GitHub](./9.0.0-preview.4.md). 

## Announcements & Discussions

Discuss this release with the product teams on GitHub through the announcements for this release. 

* [.NET 9 Preview 4](https://aka.ms/dotnet/9/preview4)
* [.NET MAUI](https://github.com/dotnet/maui/discussions/22553)
* [ASP.NET Core](https://github.com/dotnet/aspnetcore/discussions/55820)
* [Libraries & Runtime](https://github.com/dotnet/runtime/discussions/102504)

## Stay up-to-date

You can find a detailed overview of all new features in .NET 9:

* [What's new in .NET 9](https://learn.microsoft.com/dotnet/core/whats-new/dotnet-9/overview)
* [What's new in ASP.NET Core](https://learn.microsoft.com/aspnet/core/release-notes/aspnetcore-9.0)
* [What's new in .NET MAUI](https://learn.microsoft.com/dotnet/maui/whats-new/dotnet-9)
* [What's new in EF Core](https://learn.microsoft.com/ef/core/what-is-new/ef-core-9.0/whatsnew)

The latest .NET 9 release is always available at [dotnet.microsoft.com](https://dotnet.microsoft.com/download/dotnet/9.0) and [.NET 9 Releases](../../README.md).
