# .NET 9 Preview 6 - Release Notes

.NET 9 Preview 6 released on July 9th, 2024. Find more information on new features released in .NET 9 Preview 6 by browsing through the release notes below:

* [Libraries](./libraries.md)
* [Runtime](./runtime.md)
* [SDK](./sdk.md)

### Feature Release Notes

* [.NET MAUI](./dotnetmaui.md)
* [ASP.NET Core](./aspnetcore.md)
* [C#](./csharp.md)

## Get Started

Instructions on getting started with .NET 9 can be found in the [getting started guide](../../get-started.md). Installers and binaries for .NET 9 Preview 6 can be found [here on GitHub](./9.0.0-preview.6.md). 

Discuss this release with the product teams on GitHub through the announcements for this release. 

* [.NET 9 Preview 6 Announcement](https://aka.ms/dotnet/9/preview6)
* [.NET MAUI](https://github.com/dotnet/maui/discussions/23506) 
* [ASP.NET Core](https://github.com/dotnet/aspnetcore/discussions/56690)
* [Libraries & Runtime](https://github.com/dotnet/runtime/discussions/104620)

## Stay up-to-date

You can find a detailed overview of all new features in .NET 9:

* [What's new in .NET 9](https://learn.microsoft.com/dotnet/core/whats-new/dotnet-9/overview)
* [What's new in C# 13](https://learn.microsoft.com/dotnet/csharp/whats-new/csharp-13)
* [What's new in ASP.NET Core](https://learn.microsoft.com/aspnet/core/release-notes/aspnetcore-9.0)
* [What's new in .NET MAUI](https://learn.microsoft.com/dotnet/maui/whats-new/dotnet-9)
* [What's new in EF Core](https://learn.microsoft.com/ef/core/what-is-new/ef-core-9.0/whatsnew)

The latest .NET 9 release is always available on the [.NET 9 Releases](../../README.md) documentation.
