# System.Runtime.Intrinsics.Arm

``` diff
 namespace System.Runtime.Intrinsics.Arm {
-    [CLSCompliantAttribute(false)]
-    [RequiresPreviewFeaturesAttribute("Sve is in preview. Debugger scenario is not supported.")]
-    public abstract class Sve : AdvSimd {
+    [CLSCompliantAttribute(false)]
+    [ExperimentalAttribute("SYSLIB5003", UrlFormat="https://aka.ms/dotnet-warnings/{0}")]
+    public abstract class Sve : AdvSimd {
+        public unsafe static Vector<int> GatherVectorByteZeroExtendFirstFaulting(Vector<int> mask, byte* address, Vector<int> offsets);
+        public unsafe static Vector<int> GatherVectorByteZeroExtendFirstFaulting(Vector<int> mask, byte* address, Vector<uint> offsets);
+        public unsafe static Vector<long> GatherVectorByteZeroExtendFirstFaulting(Vector<long> mask, byte* address, Vector<long> offsets);
+        public unsafe static Vector<long> GatherVectorByteZeroExtendFirstFaulting(Vector<long> mask, byte* address, Vector<ulong> offsets);
+        public static Vector<long> GatherVectorByteZeroExtendFirstFaulting(Vector<long> mask, Vector<ulong> addresses);
+        public unsafe static Vector<uint> GatherVectorByteZeroExtendFirstFaulting(Vector<uint> mask, byte* address, Vector<int> offsets);
+        public unsafe static Vector<uint> GatherVectorByteZeroExtendFirstFaulting(Vector<uint> mask, byte* address, Vector<uint> offsets);
+        public unsafe static Vector<ulong> GatherVectorByteZeroExtendFirstFaulting(Vector<ulong> mask, byte* address, Vector<long> offsets);
+        public unsafe static Vector<ulong> GatherVectorByteZeroExtendFirstFaulting(Vector<ulong> mask, byte* address, Vector<ulong> offsets);
+        public static Vector<ulong> GatherVectorByteZeroExtendFirstFaulting(Vector<ulong> mask, Vector<ulong> addresses);
+        public unsafe static Vector<double> GatherVectorFirstFaulting(Vector<double> mask, double* address, Vector<long> indices);
+        public unsafe static Vector<double> GatherVectorFirstFaulting(Vector<double> mask, double* address, Vector<ulong> indices);
+        public static Vector<double> GatherVectorFirstFaulting(Vector<double> mask, Vector<ulong> addresses);
+        public unsafe static Vector<int> GatherVectorFirstFaulting(Vector<int> mask, int* address, Vector<int> indices);
+        public unsafe static Vector<int> GatherVectorFirstFaulting(Vector<int> mask, int* address, Vector<uint> indices);
+        public unsafe static Vector<long> GatherVectorFirstFaulting(Vector<long> mask, long* address, Vector<long> indices);
+        public unsafe static Vector<long> GatherVectorFirstFaulting(Vector<long> mask, long* address, Vector<ulong> indices);
+        public static Vector<long> GatherVectorFirstFaulting(Vector<long> mask, Vector<ulong> addresses);
+        public unsafe static Vector<float> GatherVectorFirstFaulting(Vector<float> mask, float* address, Vector<int> indices);
+        public unsafe static Vector<float> GatherVectorFirstFaulting(Vector<float> mask, float* address, Vector<uint> indices);
+        public unsafe static Vector<uint> GatherVectorFirstFaulting(Vector<uint> mask, uint* address, Vector<int> indices);
+        public unsafe static Vector<uint> GatherVectorFirstFaulting(Vector<uint> mask, uint* address, Vector<uint> indices);
+        public static Vector<ulong> GatherVectorFirstFaulting(Vector<ulong> mask, Vector<ulong> addresses);
+        public unsafe static Vector<ulong> GatherVectorFirstFaulting(Vector<ulong> mask, ulong* address, Vector<long> indices);
+        public unsafe static Vector<ulong> GatherVectorFirstFaulting(Vector<ulong> mask, ulong* address, Vector<ulong> indices);
+        public unsafe static Vector<int> GatherVectorInt16SignExtendFirstFaulting(Vector<int> mask, short* address, Vector<int> indices);
+        public unsafe static Vector<int> GatherVectorInt16SignExtendFirstFaulting(Vector<int> mask, short* address, Vector<uint> indices);
+        public static Vector<int> GatherVectorInt16SignExtendFirstFaulting(Vector<int> mask, Vector<uint> addresses);
+        public unsafe static Vector<long> GatherVectorInt16SignExtendFirstFaulting(Vector<long> mask, short* address, Vector<long> indices);
+        public unsafe static Vector<long> GatherVectorInt16SignExtendFirstFaulting(Vector<long> mask, short* address, Vector<ulong> indices);
+        public static Vector<long> GatherVectorInt16SignExtendFirstFaulting(Vector<long> mask, Vector<ulong> addresses);
+        public unsafe static Vector<uint> GatherVectorInt16SignExtendFirstFaulting(Vector<uint> mask, short* address, Vector<int> indices);
+        public unsafe static Vector<uint> GatherVectorInt16SignExtendFirstFaulting(Vector<uint> mask, short* address, Vector<uint> indices);
+        public static Vector<uint> GatherVectorInt16SignExtendFirstFaulting(Vector<uint> mask, Vector<uint> addresses);
+        public unsafe static Vector<ulong> GatherVectorInt16SignExtendFirstFaulting(Vector<ulong> mask, short* address, Vector<long> indices);
+        public unsafe static Vector<ulong> GatherVectorInt16SignExtendFirstFaulting(Vector<ulong> mask, short* address, Vector<ulong> indices);
+        public static Vector<ulong> GatherVectorInt16SignExtendFirstFaulting(Vector<ulong> mask, Vector<ulong> addresses);
+        public unsafe static Vector<int> GatherVectorInt16WithByteOffsetsSignExtendFirstFaulting(Vector<int> mask, short* address, Vector<int> offsets);
+        public unsafe static Vector<int> GatherVectorInt16WithByteOffsetsSignExtendFirstFaulting(Vector<int> mask, short* address, Vector<uint> offsets);
+        public unsafe static Vector<long> GatherVectorInt16WithByteOffsetsSignExtendFirstFaulting(Vector<long> mask, short* address, Vector<long> offsets);
+        public unsafe static Vector<long> GatherVectorInt16WithByteOffsetsSignExtendFirstFaulting(Vector<long> mask, short* address, Vector<ulong> offsets);
+        public unsafe static Vector<uint> GatherVectorInt16WithByteOffsetsSignExtendFirstFaulting(Vector<uint> mask, short* address, Vector<int> offsets);
+        public unsafe static Vector<uint> GatherVectorInt16WithByteOffsetsSignExtendFirstFaulting(Vector<uint> mask, short* address, Vector<uint> offsets);
+        public unsafe static Vector<ulong> GatherVectorInt16WithByteOffsetsSignExtendFirstFaulting(Vector<ulong> mask, short* address, Vector<long> offsets);
+        public unsafe static Vector<ulong> GatherVectorInt16WithByteOffsetsSignExtendFirstFaulting(Vector<ulong> mask, short* address, Vector<ulong> offsets);
+        public unsafe static Vector<long> GatherVectorInt32SignExtendFirstFaulting(Vector<long> mask, int* address, Vector<long> indices);
+        public unsafe static Vector<long> GatherVectorInt32SignExtendFirstFaulting(Vector<long> mask, int* address, Vector<ulong> indices);
+        public static Vector<long> GatherVectorInt32SignExtendFirstFaulting(Vector<long> mask, Vector<ulong> addresses);
+        public unsafe static Vector<ulong> GatherVectorInt32SignExtendFirstFaulting(Vector<ulong> mask, int* address, Vector<long> indices);
+        public unsafe static Vector<ulong> GatherVectorInt32SignExtendFirstFaulting(Vector<ulong> mask, int* address, Vector<ulong> indices);
+        public static Vector<ulong> GatherVectorInt32SignExtendFirstFaulting(Vector<ulong> mask, Vector<ulong> addresses);
+        public unsafe static Vector<long> GatherVectorInt32WithByteOffsetsSignExtendFirstFaulting(Vector<long> mask, int* address, Vector<long> offsets);
+        public unsafe static Vector<long> GatherVectorInt32WithByteOffsetsSignExtendFirstFaulting(Vector<long> mask, int* address, Vector<ulong> offsets);
+        public unsafe static Vector<ulong> GatherVectorInt32WithByteOffsetsSignExtendFirstFaulting(Vector<ulong> mask, int* address, Vector<long> offsets);
+        public unsafe static Vector<ulong> GatherVectorInt32WithByteOffsetsSignExtendFirstFaulting(Vector<ulong> mask, int* address, Vector<ulong> offsets);
+        public static Vector<int> GatherVectorSByteSignExtendFirstFaulting(Vector<int> mask, Vector<uint> addresses);
+        public unsafe static Vector<int> GatherVectorSByteSignExtendFirstFaulting(Vector<int> mask, sbyte* address, Vector<int> offsets);
+        public unsafe static Vector<int> GatherVectorSByteSignExtendFirstFaulting(Vector<int> mask, sbyte* address, Vector<uint> offsets);
+        public static Vector<long> GatherVectorSByteSignExtendFirstFaulting(Vector<long> mask, Vector<ulong> addresses);
+        public unsafe static Vector<long> GatherVectorSByteSignExtendFirstFaulting(Vector<long> mask, sbyte* address, Vector<long> offsets);
+        public unsafe static Vector<long> GatherVectorSByteSignExtendFirstFaulting(Vector<long> mask, sbyte* address, Vector<ulong> offsets);
+        public static Vector<uint> GatherVectorSByteSignExtendFirstFaulting(Vector<uint> mask, Vector<uint> addresses);
+        public unsafe static Vector<uint> GatherVectorSByteSignExtendFirstFaulting(Vector<uint> mask, sbyte* address, Vector<int> offsets);
+        public unsafe static Vector<uint> GatherVectorSByteSignExtendFirstFaulting(Vector<uint> mask, sbyte* address, Vector<uint> offsets);
+        public static Vector<ulong> GatherVectorSByteSignExtendFirstFaulting(Vector<ulong> mask, Vector<ulong> addresses);
+        public unsafe static Vector<ulong> GatherVectorSByteSignExtendFirstFaulting(Vector<ulong> mask, sbyte* address, Vector<long> offsets);
+        public unsafe static Vector<ulong> GatherVectorSByteSignExtendFirstFaulting(Vector<ulong> mask, sbyte* address, Vector<ulong> offsets);
+        public unsafe static Vector<int> GatherVectorUInt16WithByteOffsetsZeroExtendFirstFaulting(Vector<int> mask, ushort* address, Vector<int> offsets);
+        public unsafe static Vector<int> GatherVectorUInt16WithByteOffsetsZeroExtendFirstFaulting(Vector<int> mask, ushort* address, Vector<uint> offsets);
+        public unsafe static Vector<long> GatherVectorUInt16WithByteOffsetsZeroExtendFirstFaulting(Vector<long> mask, ushort* address, Vector<long> offsets);
+        public unsafe static Vector<long> GatherVectorUInt16WithByteOffsetsZeroExtendFirstFaulting(Vector<long> mask, ushort* address, Vector<ulong> offsets);
+        public unsafe static Vector<uint> GatherVectorUInt16WithByteOffsetsZeroExtendFirstFaulting(Vector<uint> mask, ushort* address, Vector<int> offsets);
+        public unsafe static Vector<uint> GatherVectorUInt16WithByteOffsetsZeroExtendFirstFaulting(Vector<uint> mask, ushort* address, Vector<uint> offsets);
+        public unsafe static Vector<ulong> GatherVectorUInt16WithByteOffsetsZeroExtendFirstFaulting(Vector<ulong> mask, ushort* address, Vector<long> offsets);
+        public unsafe static Vector<ulong> GatherVectorUInt16WithByteOffsetsZeroExtendFirstFaulting(Vector<ulong> mask, ushort* address, Vector<ulong> offsets);
+        public unsafe static Vector<int> GatherVectorUInt16ZeroExtendFirstFaulting(Vector<int> mask, ushort* address, Vector<int> indices);
+        public unsafe static Vector<int> GatherVectorUInt16ZeroExtendFirstFaulting(Vector<int> mask, ushort* address, Vector<uint> indices);
+        public static Vector<long> GatherVectorUInt16ZeroExtendFirstFaulting(Vector<long> mask, Vector<ulong> addresses);
+        public unsafe static Vector<long> GatherVectorUInt16ZeroExtendFirstFaulting(Vector<long> mask, ushort* address, Vector<long> indices);
+        public unsafe static Vector<long> GatherVectorUInt16ZeroExtendFirstFaulting(Vector<long> mask, ushort* address, Vector<ulong> indices);
+        public unsafe static Vector<uint> GatherVectorUInt16ZeroExtendFirstFaulting(Vector<uint> mask, ushort* address, Vector<int> indices);
+        public unsafe static Vector<uint> GatherVectorUInt16ZeroExtendFirstFaulting(Vector<uint> mask, ushort* address, Vector<uint> indices);
+        public static Vector<ulong> GatherVectorUInt16ZeroExtendFirstFaulting(Vector<ulong> mask, Vector<ulong> addresses);
+        public unsafe static Vector<ulong> GatherVectorUInt16ZeroExtendFirstFaulting(Vector<ulong> mask, ushort* address, Vector<long> indices);
+        public unsafe static Vector<ulong> GatherVectorUInt16ZeroExtendFirstFaulting(Vector<ulong> mask, ushort* address, Vector<ulong> indices);
+        public unsafe static Vector<int> GatherVectorUInt32WithByteOffsetsZeroExtendFirstFaulting(Vector<int> mask, uint* address, Vector<int> offsets);
+        public unsafe static Vector<int> GatherVectorUInt32WithByteOffsetsZeroExtendFirstFaulting(Vector<int> mask, uint* address, Vector<uint> offsets);
+        public unsafe static Vector<long> GatherVectorUInt32WithByteOffsetsZeroExtendFirstFaulting(Vector<long> mask, uint* address, Vector<long> offsets);
+        public unsafe static Vector<long> GatherVectorUInt32WithByteOffsetsZeroExtendFirstFaulting(Vector<long> mask, uint* address, Vector<ulong> offsets);
+        public unsafe static Vector<uint> GatherVectorUInt32WithByteOffsetsZeroExtendFirstFaulting(Vector<uint> mask, uint* address, Vector<int> offsets);
+        public unsafe static Vector<uint> GatherVectorUInt32WithByteOffsetsZeroExtendFirstFaulting(Vector<uint> mask, uint* address, Vector<uint> offsets);
+        public unsafe static Vector<ulong> GatherVectorUInt32WithByteOffsetsZeroExtendFirstFaulting(Vector<ulong> mask, uint* address, Vector<long> offsets);
+        public unsafe static Vector<ulong> GatherVectorUInt32WithByteOffsetsZeroExtendFirstFaulting(Vector<ulong> mask, uint* address, Vector<ulong> offsets);
+        public unsafe static Vector<int> GatherVectorUInt32ZeroExtendFirstFaulting(Vector<int> mask, uint* address, Vector<int> indices);
+        public unsafe static Vector<int> GatherVectorUInt32ZeroExtendFirstFaulting(Vector<int> mask, uint* address, Vector<uint> indices);
+        public static Vector<long> GatherVectorUInt32ZeroExtendFirstFaulting(Vector<long> mask, Vector<ulong> addresses);
+        public unsafe static Vector<long> GatherVectorUInt32ZeroExtendFirstFaulting(Vector<long> mask, uint* address, Vector<long> indices);
+        public unsafe static Vector<long> GatherVectorUInt32ZeroExtendFirstFaulting(Vector<long> mask, uint* address, Vector<ulong> indices);
+        public unsafe static Vector<uint> GatherVectorUInt32ZeroExtendFirstFaulting(Vector<uint> mask, uint* address, Vector<int> indices);
+        public unsafe static Vector<uint> GatherVectorUInt32ZeroExtendFirstFaulting(Vector<uint> mask, uint* address, Vector<uint> indices);
+        public static Vector<ulong> GatherVectorUInt32ZeroExtendFirstFaulting(Vector<ulong> mask, Vector<ulong> addresses);
+        public unsafe static Vector<ulong> GatherVectorUInt32ZeroExtendFirstFaulting(Vector<ulong> mask, uint* address, Vector<long> indices);
+        public unsafe static Vector<ulong> GatherVectorUInt32ZeroExtendFirstFaulting(Vector<ulong> mask, uint* address, Vector<ulong> indices);
+        public unsafe static Vector<double> GatherVectorWithByteOffsetFirstFaulting(Vector<double> mask, double* address, Vector<long> offsets);
+        public unsafe static Vector<double> GatherVectorWithByteOffsetFirstFaulting(Vector<double> mask, double* address, Vector<ulong> offsets);
+        public unsafe static Vector<int> GatherVectorWithByteOffsetFirstFaulting(Vector<int> mask, int* address, Vector<int> offsets);
+        public unsafe static Vector<int> GatherVectorWithByteOffsetFirstFaulting(Vector<int> mask, int* address, Vector<uint> offsets);
+        public unsafe static Vector<long> GatherVectorWithByteOffsetFirstFaulting(Vector<long> mask, long* address, Vector<long> offsets);
+        public unsafe static Vector<long> GatherVectorWithByteOffsetFirstFaulting(Vector<long> mask, long* address, Vector<ulong> offsets);
+        public unsafe static Vector<float> GatherVectorWithByteOffsetFirstFaulting(Vector<float> mask, float* address, Vector<int> offsets);
+        public unsafe static Vector<float> GatherVectorWithByteOffsetFirstFaulting(Vector<float> mask, float* address, Vector<uint> offsets);
+        public unsafe static Vector<uint> GatherVectorWithByteOffsetFirstFaulting(Vector<uint> mask, uint* address, Vector<int> offsets);
+        public unsafe static Vector<uint> GatherVectorWithByteOffsetFirstFaulting(Vector<uint> mask, uint* address, Vector<uint> offsets);
+        public unsafe static Vector<ulong> GatherVectorWithByteOffsetFirstFaulting(Vector<ulong> mask, ulong* address, Vector<long> offsets);
+        public unsafe static Vector<ulong> GatherVectorWithByteOffsetFirstFaulting(Vector<ulong> mask, ulong* address, Vector<ulong> offsets);
+        public static Vector<byte> GetFfrByte();
+        public static Vector<short> GetFfrInt16();
+        public static Vector<int> GetFfrInt32();
+        public static Vector<long> GetFfrInt64();
+        public static Vector<sbyte> GetFfrSByte();
+        public static Vector<ushort> GetFfrUInt16();
+        public static Vector<uint> GetFfrUInt32();
+        public static Vector<ulong> GetFfrUInt64();
+        public unsafe static Vector<short> LoadVectorByteZeroExtendFirstFaulting(Vector<short> mask, byte* address);
+        public unsafe static Vector<int> LoadVectorByteZeroExtendFirstFaulting(Vector<int> mask, byte* address);
+        public unsafe static Vector<long> LoadVectorByteZeroExtendFirstFaulting(Vector<long> mask, byte* address);
+        public unsafe static Vector<ushort> LoadVectorByteZeroExtendFirstFaulting(Vector<ushort> mask, byte* address);
+        public unsafe static Vector<uint> LoadVectorByteZeroExtendFirstFaulting(Vector<uint> mask, byte* address);
+        public unsafe static Vector<ulong> LoadVectorByteZeroExtendFirstFaulting(Vector<ulong> mask, byte* address);
+        public unsafe static Vector<byte> LoadVectorFirstFaulting(Vector<byte> mask, byte* address);
+        public unsafe static Vector<double> LoadVectorFirstFaulting(Vector<double> mask, double* address);
+        public unsafe static Vector<short> LoadVectorFirstFaulting(Vector<short> mask, short* address);
+        public unsafe static Vector<int> LoadVectorFirstFaulting(Vector<int> mask, int* address);
+        public unsafe static Vector<long> LoadVectorFirstFaulting(Vector<long> mask, long* address);
+        public unsafe static Vector<sbyte> LoadVectorFirstFaulting(Vector<sbyte> mask, sbyte* address);
+        public unsafe static Vector<float> LoadVectorFirstFaulting(Vector<float> mask, float* address);
+        public unsafe static Vector<ushort> LoadVectorFirstFaulting(Vector<ushort> mask, ushort* address);
+        public unsafe static Vector<uint> LoadVectorFirstFaulting(Vector<uint> mask, uint* address);
+        public unsafe static Vector<ulong> LoadVectorFirstFaulting(Vector<ulong> mask, ulong* address);
+        public unsafe static Vector<int> LoadVectorInt16SignExtendFirstFaulting(Vector<int> mask, short* address);
+        public unsafe static Vector<long> LoadVectorInt16SignExtendFirstFaulting(Vector<long> mask, short* address);
+        public unsafe static Vector<uint> LoadVectorInt16SignExtendFirstFaulting(Vector<uint> mask, short* address);
+        public unsafe static Vector<ulong> LoadVectorInt16SignExtendFirstFaulting(Vector<ulong> mask, short* address);
+        public unsafe static Vector<long> LoadVectorInt32SignExtendFirstFaulting(Vector<long> mask, int* address);
+        public unsafe static Vector<ulong> LoadVectorInt32SignExtendFirstFaulting(Vector<ulong> mask, int* address);
+        public unsafe static Vector<short> LoadVectorSByteSignExtendFirstFaulting(Vector<short> mask, sbyte* address);
+        public unsafe static Vector<int> LoadVectorSByteSignExtendFirstFaulting(Vector<int> mask, sbyte* address);
+        public unsafe static Vector<long> LoadVectorSByteSignExtendFirstFaulting(Vector<long> mask, sbyte* address);
+        public unsafe static Vector<ushort> LoadVectorSByteSignExtendFirstFaulting(Vector<ushort> mask, sbyte* address);
+        public unsafe static Vector<uint> LoadVectorSByteSignExtendFirstFaulting(Vector<uint> mask, sbyte* address);
+        public unsafe static Vector<ulong> LoadVectorSByteSignExtendFirstFaulting(Vector<ulong> mask, sbyte* address);
+        public unsafe static Vector<int> LoadVectorUInt16ZeroExtendFirstFaulting(Vector<int> mask, ushort* address);
+        public unsafe static Vector<long> LoadVectorUInt16ZeroExtendFirstFaulting(Vector<long> mask, ushort* address);
+        public unsafe static Vector<uint> LoadVectorUInt16ZeroExtendFirstFaulting(Vector<uint> mask, ushort* address);
+        public unsafe static Vector<ulong> LoadVectorUInt16ZeroExtendFirstFaulting(Vector<ulong> mask, ushort* address);
+        public unsafe static Vector<long> LoadVectorUInt32ZeroExtendFirstFaulting(Vector<long> mask, uint* address);
+        public unsafe static Vector<ulong> LoadVectorUInt32ZeroExtendFirstFaulting(Vector<ulong> mask, uint* address);
+        public static void SetFfr(Vector<byte> value);
+        public static void SetFfr(Vector<short> value);
+        public static void SetFfr(Vector<int> value);
+        public static void SetFfr(Vector<long> value);
+        public static void SetFfr(Vector<sbyte> value);
+        public static void SetFfr(Vector<ushort> value);
+        public static void SetFfr(Vector<uint> value);
+        public static void SetFfr(Vector<ulong> value);
     }
 }
```

