# .NET MAUI updates in .NET 9 Release Candidate 2

This release was focused primarily on quality improvements as we near general availability of .NET 9. It is covered by a go-live license, and we encourage developers today to try it out and provide  feedback on anything that you find in your development so we can incorporate any additional enhancements into the final release.

 Here's a summary of what's new in .NET MAUI in this release:

* [Xcode 16 and latest platform SDK versions](#xcode-16-and-latest-platform-sdk-versions)

.NET MAUI updates in .NET 9 Release Candidate 2:

* [What's new in .NET MAUI in .NET 9](https://learn.microsoft.com/dotnet/maui/whats-new/dotnet-9) documentation.
* [GitHub Release](https://aka.ms/maui9rc2)

.NET 9 Release Candidate 2:

* [Discussion](https://aka.ms/dotnet/9/rc2)
* [Release notes](README.md)

## Xcode 16 and latest platform SDK versions

Compatibility with Xcode 16, which includes SDK support for iOS 18, iPadOS 18, tvOS 18, and macOS Sequoia 15, is now available and is required when building with this release.

Xcode 16 requires a Mac running macOS Sonoma 14.5 or later. We recommend installing from [developer.apple.com](https://developer.apple.com). No additional changes are required to your projects.

## .NET for Android

This release was focused on quality improvements.

* [GitHub Release](https://github.com/xamarin/xamarin-android/releases/)

## .NET for iOS

This release was focused on quality improvements.

* [GitHub Release](https://github.com/xamarin/xamarin-macios/releases/)
* [Known issues](https://github.com/xamarin/xamarin-macios/wiki/Known-issues-in-.NET9)

## Community Contributions

Thank you to our community contributors [@MartyIX](https://github.com/MartyIX), [@albyrock87](https://github.com/albyrock87), [@BioTurboNick](https://github.com/BioTurboNick), [@filipnavara](https://github.com/filipnavara), [@artemvalieiev](https://github.com/artemvalieiev), [@jingliancui](https://github.com/jingliancui), [@FaithfulDev](https://github.com/FaithfulDev), [@Alex-Dobrynin](https://github.com/Alex-Dobrynin), [@kubaflo](https://github.com/kubaflo), [@SuthiYuvaraj](https://github.com/SuthiYuvaraj), [@BagavathiPerumal](https://github.com/BagavathiPerumal), [@Tamilarasan-Paranthaman](https://github.com/Tamilarasan-Paranthaman), [@NirmalKumarYuvaraj](https://github.com/NirmalKumarYuvaraj), [@Vignesh-SF3580](https://github.com/Vignesh-SF3580), [@NanthiniMahalingam](https://github.com/NanthiniMahalingam), and [@devanathan-vaithiyanathan](https://github.com/devanathan-vaithiyanathan).